[arch-commits] Commit in vim-colorsamplerpack/trunk (PKGBUILD)

Dan McGee dan at archlinux.org
Sun May 31 12:51:58 EDT 2009


    Date: Sunday, May 31, 2009 @ 12:51:58
  Author: dan
Revision: 40811

upgpkg: vim-colorsamplerpack 6.0-2
    rebuilds for plugin location move

Modified:
  vim-colorsamplerpack/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-31 16:51:53 UTC (rev 40810)
+++ PKGBUILD	2009-05-31 16:51:58 UTC (rev 40811)
@@ -3,20 +3,19 @@
 
 pkgname=vim-colorsamplerpack
 pkgver=6.0
-pkgrel=1
+pkgrel=2
 _scriptid=9405
 pkgdesc="Different colorschemes (all as of October 28, 2008) for vim"
 arch=(i686 x86_64)
 url="http://www.vim.org/scripts/script.php?script_id=625"
 license=('GPL2' 'GPL3' 'custom')
-depends=('vi')
+depends=('vim')
 makedepends=('unzip')
 groups=('vim-plugins')
 source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid LICENSE)
 md5sums=('d72f8491ba22f4a0620b520bbc6ed772' 'f4639ddafc68f49395c25fb4caf0d6f7')
 
-build()
-{
+build() {
   cd $srcdir
   mv download_script.php?src_id=$_scriptid ColorSamplerPack.zip
   unzip -qqo ColorSamplerPack.zip
@@ -25,8 +24,9 @@
   rm delek.vim desert.vim torte.vim
   cd ..
 
-  install -d $pkgdir/usr/share/vim/colors/
-  install -m644 colors/* $pkgdir/usr/share/vim/colors || return 1
-  install -D -m644 plugin/color_sample_pack.vim $pkgdir/usr/share/vim/plugin/themes.vim || return 1
+  installpath="$pkgdir/usr/share/vim/vim72"
+  install -d $installpath/colors/
+  install -m644 colors/* $installpath/colors || return 1
+  install -D -m644 plugin/color_sample_pack.vim $installpath/plugin/themes.vim || return 1
   install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list